# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 4101
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100

# 日志配置
logging:
  level:
    com.ruoyi: debug
    org.springframework: warn

# 用户配置
user:
  password:
    # 密码最大错误次数
    maxRetryCount: 5
    # 密码锁定时间（默认10分钟）
    lockTime: 10

# Spring配置
spring:
  # 资源信息
  messages:
    # 国际化资源文件路径
    basename: i18n/messages
  profiles:
    active:
      - env
      - druid
  # 文件上传
  servlet:
    multipart:
      # 单个文件大小
      max-file-size: 10MB
      # 设置总上传的文件大小
      max-request-size: 20MB
  # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true

# token配置
token:
  # 令牌自定义标识
  header: Authorization
  # 令牌密钥
  secret: abcdefghijklmnopqrstuvwxyz
  # 令牌有效期（默认30分钟）
  expireTime: 1440

# MyBatis配置
mybatis:
  # 搜索指定包别名
  typeAliasesPackage: com.ruoyi.**.domain
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapperLocations: classpath*:mapper/**/*Mapper.xml
  # 加载全局的配置文件
  configLocation: classpath:mybatis/mybatis-config.xml

# PageHelper分页插件
pagehelper:
  helperDialect: mysql
  supportMethodsArguments: true
  params: count=countSql

# Swagger配置
swagger:
  # 是否开启swagger
  enabled: true
  # 请求前缀
  pathMapping: /dev-api

# 防止XSS攻击
xss:
  # 过滤开关
  enabled: true
  # 排除链接（多个用逗号分隔）
  excludes: /system/notice
  # 匹配链接
  urlPatterns: /system/*,/monitor/*,/tool/*

# Redis 锁设置
lock:
  # 锁前缀
  prefix: bst-lock
  # 过期时间
  timeout: 60
  # 重试次数
  retry: 3

# 七牛云配置
qiniu:
  # 七牛云key
  accessKey: MI4PDg9LYWXJyahzx5ec6-Ih0YNwQhew_BQUhttS
  # 七牛云密钥
  secretKey: Lk3fHHEnJuf0jD_Zte1xhtv7BTvjvmaWVCKd7O0J
  # 七牛云命名空间
  bucket: smartmeter
  # 过期时间（秒）
  expireSeconds: 600
  # 七牛云GET请求域名
  domain: https://api.ccttiot.com
  # 七牛云token缓存
  cacheKey: qiniu-token

# 物联网配置
iot:
  # 物联网平台地址
  iotHost: https://iot-api.heclouds.com
  # 版本号 签名算法版本
  version: 2020-05-29
  # 用户资源信息  用户id
  resourceName: userid/143831
  # iot秘钥
  accessKey: dJqF0qYhUbK/o1Pr9I5qxNoP14FlJLC+BFK2ZTjUX+lnKwoNYvBYsM/7Xu1ERIzSkUoxVkP/N1RMvGlBKMoBtA==
  # 超时响应时间（秒）
  timeout: 10
  # token过期时间
  daysToExpire: 100
  # 推送消息token
  token: tVpNdGKrAFHfKZNgpIWQfZukrcYHNfFM
  # 产品ID
  productId: 796mCwPk0F
  # productId: 6zGfj7p1C2

# 银行卡验证配置
bankValid:
  appKey: 204590328
  appCode: 32b6c6445b1a42ed862dd4202392c47d
  appSecret: td0vIGZRy9GxIrpfnIrxSXFXVW34JxDh
# 实名认证
realName:
  appKey: 204590328
  appCode: 32b6c6445b1a42ed862dd4202392c47d
  appSecret: td0vIGZRy9GxIrpfnIrxSXFXVW34JxDh
# 活体检测
liveness:
  appKey: 204590328
  appCode: 32b6c6445b1a42ed862dd4202392c47d
  appSecret: td0vlGZRy9GxlrpinlrxSXFXVW34JxDh
  jumpUrl: https://liveness.shumaidata.com/index
# 人像比对
face:
  appKey: 204590328
  appCode: 32b6c6445b1a42ed862dd4202392c47d
  appSecret: td0vlGZRy9GxlrpinlrxSXFXVW34JxDh
# 二要素认证
twoEle:
  appCode: 32b6c6445b1a42ed862dd4202392c47d

# 阿里云短信配置
sms:
  ali:
    # 产品名称
    product: Dysmsapi
    # 产品域名
    domain: dysmsapi.aliyuncs.com
    # 访问密钥ID
    accessKeyId: LTAI5tS7bUhRvjcTy4yJkagK
    # 访问密钥密码
    accessKeySecret: eQJsruUAvFfJblHZJ50QyiALCSZeRK
    # 短信签名
    signName: 创享电动车
